LibreOffice LibreOffice 6.0 SDK API Reference

Variables
com::sun::star::ucb::RuleAction Constant Group Referencepublished

These are the possible values for Rule::Action. More...

## Variables
const short | NONE = 0
| "None" - Do nothing. More...
const short | SHOW = 1
| "Show" - Shows object when term matches. More...
const short | HIDE = 2
| "Hide" - Hides object when term matches. More...
const short | MARK = 3
| "Mark" - Marks object when term matches. More...
const short | UNMARK = 4
| "UnMark" - Removes mark from object when term matches. More...
const short | MARKREAD = 5
| "MarkRead" - Marks object as read when term matches. More...
const short | MARKUNREAD = 6
| "MarkUnRead" - Marks object as not read when term matches. More...
const short | MOVE = 7
| "Move" - Moves object to Rule::Parameter when term matches. More...
const short | COPY = 8
| "Copy" - Copies object to Rule::Parameter when term matches. More...
const short | DELETE = 9
| "Delete" - Deletes object when term matches. More...
const short | LINK = 10
| "Link" - Creates a link to Rule::Parameter when term matches. More...
const short | FORWARD = 11
| "Forward" - Forwards object to Rule::Parameter when term matches. More...

## Detailed Description

These are the possible values for Rule::Action.

See also
  RuleSet

## Variable Documentation

## ◆ COPY

const short COPY = 8

"Copy" - Copies object to Rule::Parameter when term matches.

## ◆ DELETE

const short DELETE = 9

"Delete" - Deletes object when term matches.

## ◆ FORWARD

const short FORWARD = 11

"Forward" - Forwards object to Rule::Parameter when term matches.

## ◆ HIDE

const short HIDE = 2

"Hide" - Hides object when term matches.

## ◆ LINK

const short LINK = 10

"Link" - Creates a link to Rule::Parameter when term matches.

## ◆ MARK

const short MARK = 3

"Mark" - Marks object when term matches.

## ◆ MARKREAD

const short MARKREAD = 5

"MarkRead" - Marks object as read when term matches.

## ◆ MARKUNREAD

const short MARKUNREAD = 6

"MarkUnRead" - Marks object as not read when term matches.

## ◆ MOVE

const short MOVE = 7

"Move" - Moves object to Rule::Parameter when term matches.

## ◆ NONE

const short NONE = 0

"None" - Do nothing.

## ◆ SHOW

const short SHOW = 1

"Show" - Shows object when term matches.

## ◆ UNMARK

const short UNMARK = 4

"UnMark" - Removes mark from object when term matches.